Get General Settings

get

/applications/{applicationName}/databases/{databaseName}/settings

Returns general settings of the specified database. Additional groups of settings can be expanded using the expand parameter. If expand is none, links are returned for the additional groups of settings.

Request

Path Parameters
Query Parameters
  • Use none to show only general settings, with links for other grouped settings. Other expansion options available:

    • startup (block storage cubes only)
    • calculation (block storage only)
    • buffers
    • caches (block storage only)
    • transactions (block storage only)
    • compression (aggregate storage only)
    • all

Back to Top

Response

200 Response

OK

General database settings returned successfully, with links to get expanded settings.

400 Response

Bad Request

Failed to get database settings. The application or database name may be incorrect.

500 Response

Internal Server Error.

Back to Top

Examples

The following example shows how to get general and startup settings for a cube.

This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.

Script with cURL Command

call properties.bat
curl -X GET "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample/databases/Basic/settings?expand=startup&links=none" -H "accept: application/json"-u %User%:%Password%

Example of Response Body

{
  "general": {
    "description": "",
    "queryTracking": false
  },
  "startup": {
    "allowUsersToStartDatabase": true,
    "startDatabaseWhenApplicationStarts": true
  },
  "links": [ ]
}
Back to Top